Name:           tuxguitar
Version:        1.6.2
Release:        %mkrel 1
Summary:        Multitrack guitar tablature editor and player
Summary(de):	TuxGuitar ist ein Notensatzprogramm, vor allem für Gitarren-Musiker.
License:        LGPL
Group:          Sound
URL:            https://github.com/helge17/tuxguitar
Source:	        tuxguitar-%{version}-linux-swt-x86_64.tar.xz
Source2:	icon-24x24.png
Source3:	icon-32x32.png
Source4:	icon-48x48.png
Source5:        %{name}.desktop
Requires:       aoss
Requires:	task-java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
TuxGuitar is a multitrack guitar tablature editor and player written
in Java-SWT.

With TuxGuitar, you will be able to compose music using the
following features:

    * Tablature editor
    * Multitrack display
    * Autoscroll while playing
    * Note duration management
    * Various effects (bend, slide, vibrato, hammer-on/pull-off)
    * Support for triplets (5,6,7,9,10,11,12)
    * Repeat open and close
    * Time signature management
    * Tempo management
    * Imports and exports gp3 and gp4 files

%description -l de
Aber auch alle anderen Musikanten können TuxGuitar zur Erstellung von Noten nutzen. 
Als Komponist können sie Noten nach dem WYSIWYG-Prinzip für mehrere Instrumente / 
auf mehreren Spuren eingeben, abspielen und ausdrucken. Als Musiker können sie 
MIDI-Dateien in Noten und Gitarren-Akkorde umwandeln lassen.

Importiert werden können auch Noten aus anderen Noten-Editoren wie bsw. GuitarePro 
oder PowerTab. Mittels einer eigenen Akkord-Datenbank werden Noten automatisch in 
Akkorde und Fingersätze für die Gitarre umgewandelt, bzw. Akkorde in Noten. Ihr 
Notensatz lässt sich über die Soundkarte abspielen, ausdrucken oder als PDF-Datei 
speichern.

%prep

%setup -qn tuxguitar-%{version}-linux-swt-x86_64


%install


rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}/%name
mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 644 %SOURCE2 %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %SOURCE3 %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %SOURCE4 %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %SOURCE5 %{buildroot}%{_datadir}/applications/%{name}.desktop

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{name}
./%{name}.sh
cd /
EOF

chmod 0755 %{buildroot}%{_bindir}/%{name}

cp -af * %{buildroot}/%{_libdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%{_libdir}/tuxguitar
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
*  Thu Apr 25 2024 pp <pp> - 1.6.2-1pclos2024
- new version

* Sun Feb 18 2024 pp <pp> - 1.6.1-1pclos2024
- new version

* Mon Jan 01 2024 pp <pp> - 1.6.0-1pclos2024
- new version

* Sat May 14 2022 pp <pp> - 1.5.6-1pclos2022
- new version

* Sat Apr 23 2022 pp <pp> - 1.5.5-1pclos2022
- new version

* Fri Oct 23 2020 pp <pp> - 1.5.4-1pclos2020
- update

* Thu Sep 13 2018 tex - 1.5.2-1pclos2018
- new

* Sun Mar 05 2017 bb2 <bb2> - 1.4-1pclos2017
- new version

* Sun May 27 2012 Neal <nealbrks0 at gmail dot com> 1.2-3pclos2012
- process

